#include "System.h"
#include "CSDL.h"

CSystem sys;

CSystem::CSystem()
{
    mQuitRequest = false;
    mMouseX = 0;
    mMouseY = 0;
}

void CSystem::wait(Uint32 ms)
{
    sdl.Delay(ms);
}

bool CSystem::isQuitRequested()
{
    return mQuitRequest;
}

void CSystem::processEvents()
{
    SDL_Event event;

    if (sdl.PollEvent(&event) != 0)
    {
        if (event.type == SDL_QUIT)
        {
            mQuitRequest = true;
        }
        else if (event.type == SDL_MOUSEMOTION)
        {
            mMouseX = event.motion.x;
            mMouseY = event.motion.y;
        }
    }
}
